Retrieve document

GET
https://example.kaiten.ru/api/latest/documents/{document_uid}
Path parameters
NameTypeReference
document_uidrequiredstringDocument UID
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Document uid
id

integer

Document id
title

string

Document title
created

string

Create date
updated

string

Last update timestamp
archived

boolean

Document archived flag
company_id

integer

Company id
author_id

integer

Author user id
parent_entity_uid

null | string

Parent tree entity uid
group_idDeprecated: use
parent_entity_uid instead

null | string

Deprecated alias for parent_entity_uid
entity_type

string

Entity type. Always "document"
sort_order

number

Document sort order
access

enum

Document access type. "for_everyone" — accessible to all company members, "by_invite" — only invited members
for_everyone_access_role_id

null | string

Role id for everyone access
data

object

Document content in ProseMirror JSON format
version

integer

Current document version number
published_version

null | integer

Published version number
publish_date

null | string

Publication date
public

boolean

Is document publicly available (legacy field)
hidden_on_public_site

boolean

Document is hidden on public site
key

null | string

Unique document key within company
redirect_url

null | string

Redirect URL
icon_type

null | string

Icon type. "material_icon" or null
icon_value

null | string

Icon value (icon name for material_icon type)
icon_color

null | integer

Icon color
path

string

Inner path to entity in tree
schema_version

integer

ProseMirror schema version
notification_period_start

null | string

Notification period start date
notification_period_end

null | string

Notification period end date
access_record

object

Schema
Current user access record to this document
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/documents/{document_uid}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!